"""
Serializers for the REST API
"""

from django.contrib.auth import get_user_model
from rest_framework import serializers

from help.models import HelpUser

User = get_user_model()


class UserSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = User
        fields = ["url", "username", "helpuser"]
        read_only_fields = ["username", "helpuser"]


class HelpUserSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = HelpUser
        fields = [
            "url",
            "user",
            "email_address",
            "postal_address",
            "offline_account_code",
        ]
        read_only_fields = ["user", "offline_account_code"]
